@echo off
echo [40;33;1m
echo Ŀ
echo  Choose the boot configuration for the next boot   
echo  By Prof. Timo Salmi, ts@uwasa.fi, Sat 14-Oct-2000 
echo 
echo.

rem Put a line with the word "Description:" into your alternative
rem autoexec.bat files to show which boot is now on, E.g.
rem Description: LastByte upper memory manager boot

rem check that this is the right computer
if "%pcid_%"=="wave" goto _noboot
echo Exiting %0  Wrong computer %pcid_%
goto _out2

rem Prevent accidental booting with a program from TSTSR*.ZIP
rem Also needs mark-release from Turbo Power TSRCOM*.ZIP
:_noboot
if not exist c:\tuki\noboot.exe goto _checkpar
c:\tools\mark bootw > nul
c:\tuki\noboot > nul

rem If no parameter give help, and show the current boot choice
:_checkpar
if "%1"=="" goto _help
if "%win_%"=="" goto _turnoff
echo [40;31;1mChanging the boot in a Windows dosbox is not allowed!
echo [40;33;1m
goto _help

rem Turn off the read-only attribute
:_turnoff
c:\dos\attrib -r c:\autoexec.bat
c:\dos\attrib -r c:\config.sys

rem Choose the next boot
for %%f in (1 2 3 4 8 9 b B c C i I j J m M) do if "%1"=="%%f" goto _%%f
echo Unknown option %1
echo.
goto :_help

:_1
set choice_=dos
if not exist c:\autw%choice_%.bat goto _noauto
if not exist c:\conw%choice_%.sys goto _noconf
copy c:\autw%choice_%.bat c:\autoexec.bat > nul
copy c:\conw%choice_%.sys c:\config.sys > nul
goto _common

:_2
set choice_=dosw
if not exist c:\autw%choice_%.bat goto _noauto
if not exist c:\conw%choice_%.sys goto _noconf
copy c:\autw%choice_%.bat c:\autoexec.bat > nul
copy c:\conw%choice_%.sys c:\config.sys > nul
goto _common

:_3
set choice_=cd
if not exist c:\autw%choice_%.bat goto _noauto
if not exist c:\conw%choice_%.sys goto _noconf
copy c:\autw%choice_%.bat c:\autoexec.bat > nul
copy c:\conw%choice_%.sys c:\config.sys > nul
goto _common

:_4
set choice_=test
if not exist c:\autw%choice_%.bat goto _noauto
if not exist c:\conw%choice_%.sys goto _noconf
copy c:\autw%choice_%.bat c:\autoexec.bat > nul
copy c:\conw%choice_%.sys c:\config.sys > nul
goto _common

:_8
set choice_=wncd
if not exist c:\autw%choice_%.bat goto _noauto
if not exist c:\conw%choice_%.sys goto _noconf
copy c:\autw%choice_%.bat c:\autoexec.bat > nul
copy c:\conw%choice_%.sys c:\config.sys > nul
goto _common

:_9
set choice_=win
if not exist c:\autw%choice_%.bat goto _noauto
if not exist c:\conw%choice_%.sys goto _noconf
copy c:\autw%choice_%.bat c:\autoexec.bat > nul
copy c:\conw%choice_%.sys c:\config.sys > nul
goto _common

:_b
set choice_=sb
if not exist c:\autw%choice_%.bat goto _noauto
if not exist c:\conw%choice_%.sys goto _noconf
copy c:\autw%choice_%.bat c:\autoexec.bat > nul
copy c:\conw%choice_%.sys c:\config.sys > nul
goto _common

:_c
set choice_=wncz
if not exist c:\autw%choice_%.bat goto _noauto
if not exist c:\conw%choice_%.sys goto _noconf
copy c:\autw%choice_%.bat c:\autoexec.bat > nul
copy c:\conw%choice_%.sys c:\config.sys > nul
goto _common

:_i
set choice_=inst
if not exist c:\autw%choice_%.bat goto _noauto
if not exist c:\conw%choice_%.sys goto _noconf
copy c:\autw%choice_%.bat c:\autoexec.bat > nul
copy c:\conw%choice_%.sys c:\config.sys > nul
goto _common

:_j
set choice_=wnjz
if not exist c:\autw%choice_%.bat goto _noauto
if not exist c:\conw%choice_%.sys goto _noconf
copy c:\autw%choice_%.bat c:\autoexec.bat > nul
copy c:\conw%choice_%.sys c:\config.sys > nul
goto _common

:_m
set choice_=mode
if not exist c:\autw%choice_%.bat goto _noauto
if not exist c:\conw%choice_%.sys goto _noconf
copy c:\autw%choice_%.bat c:\autoexec.bat > nul
copy c:\conw%choice_%.sys c:\config.sys > nul
goto _common

rem Instructions to the user
:_common
set _return=_altcd
goto _subru
:_altcd
echo.
echo ALT-CTRL-DEL to boot
goto _rdonly

:_noauto
echo.
echo Requested file c:\autw%choice_%.bat not found
set _return=_rdonly
goto _subru

:_noconf
echo.
echo Requested file c:\conw%choice_%.sys not found
set _return=_rdonly
goto _subru

rem Turn on the read-only attribute for safety
:_rdonly
c:\dos\attrib +r c:\autoexec.bat
c:\dos\attrib +r c:\config.sys
goto :_out

rem Help for the user.  Customize as appropriate. If you have a number
rem of options from mine, also edit the "for" statement earlier
:_help
echo Usage: BOOTW [Choice]
echo.
echo  1 = MS-DOS 6.22 boot with Scrollit, Clip, Snipper, Smartdrv
echo  2 = MS-DOS 6.22 boot with Windows SB readiness
echo  3 = MS-DOS 6.22 CD-ROM boot
echo  4 = Test configuration
echo  8 = Windows light boot with CD-ROM
echo  9 = Windows light boot
echo  B = Windows SB boot
echo  [40;32;1mC = Windows light boot with CD-ROM and ZIP[40;33;1m
echo  I = Installation boot
echo  [40;37;1mJ = Windows light boot with ZIP[40;33;1m
echo  M = Moderator's MS-DOS 6.22 boot
echo.
set _return=_out

:_subru
rem Batch subroutine to show which boot choice is the currently selected
echo The current boot is (autoexec.bat / config.sys)
rem c:\dos\find "Description:" c:\autoexec.bat
rem c:\dos\find "Description:" c:\config.sys
type c:\autoexec.bat | c:\dos\find "Description:"
type c:\config.sys | c:\dos\find "Description:"
goto %_return%

:_out
if exist c:\tuki\noboot.exe c:\tools\release bootw > nul
:_out2
set _return=
set choice_=
smartdrv /c
